GameEngine.Renderer.generateCanvas();
GameEngine.Renderer.setCanvasSize(320, 160);
GameEngine.Renderer.setBackgroundColor("white");
GameEngine.Renderer.setFramerate(20);

var clicks = 0;

var lblTitle = new GameEngine.GUI.Label(10, 10, 300, 30, "Simple GUI");
var btnCounter = new GameEngine.GUI.Button(10, 50, 300, 30, "Click me!");
var btnDontClick = new GameEngine.GUI.Button(10, 90, 300, 30, "Don't click me!");
var chkDisable = new GameEngine.GUI.CheckBox(10, 130, "Disable");

function gameFunction() {
	GameEngine.Renderer.clearScreen();
	
	lblTitle.render();
	
	if(btnCounter.render()) {
		clicks++;
		btnCounter.text = clicks+" Click"+(clicks==1?"":"s");
	}
	
	if(btnDontClick.render()) {
		btnDontClick.text = "Y U NO LISTEN?";
		btnDontClick.enabled = false;
	}
	
	if(chkDisable.render()) {
		btnCounter.enabled = !chkDisable.selected;
	}
}

GameEngine.startGame(gameFunction);